{ nixpkgs ? import <nixpkgs> { }, pythonPkgs ? nixpkgs.pkgs.python39Packages }:

let
  inherit (nixpkgs) pkgs;
  inherit pythonPkgs;

  selfprivacy-api = { buildPythonPackage, flask, flask-restful, setuptools, portalocker, flask-swagger, flask-swagger-ui }:
    buildPythonPackage rec {
      pname = "selfprivacy-api";
      version = "1.1";
      src = builtins.fetchGit {
        url = "https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api.git";
        rev = "eb4f25285da247e324417d67f6c0cd24a7b93fbe";
      };
      propagatedBuildInputs = [ flask flask-restful setuptools portalocker flask-swagger flask-swagger-ui ];
      meta = {
        description = ''
          SelfPrivacy Server Management API
        '';
      };
    };
  drv = pythonPkgs.callPackage selfprivacy-api { };
in
if pkgs.lib.inNixShell then drv.env else drv
